JPEG-LS encoder should set PlanarConfiguration to 0
2019-04-29 18:44 - Jorg Riesmeier

Status: Closed Start date: 2019-04-29
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.5

Module: Compiler:

Operating System:

Description

CP-1843 (Final Text) requires JPEG-LS compressed color images (RGB or YBR_FULL) to use a value of 0 for Planar Configuration
(instead of 1 as introduced with CP-1653).

The same applies to JPEG Lossy and JPEG Lossless, but apparently this has already been implemented by
DJCodecEncoder::encodeColorimage().

Related issues:
Related to DCMTK - Bug #819: RLE encoder should set PlanarConfiguration to 1 Closed 2018-03-19

History

#1 - 2019-04-29 18:44 - J6rg Riesmeier
- Related to Bug #819: RLE encoder should set PlanarConfiguration to 1 added

#2 - 2019-09-16 18:20 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #55a8a0ff7.
